# Payments
source: https://developer.mastercard.com/account-to-account-commerce-for-dsp/documentation/testing/payments/index.md

## Pre-requisites {#pre-requisites}

The following pre-requisites are applied to all the use cases:  

1. The client and signing keys have been exchanged.   
2. The outbound notification is set up at the participant's end.   
3. The debtor service provider onboarding completed and the DSPId shared.   
4. Successful connectivity testing.   

The following are the debtor service provider's responsibilities:

* Ensure that the debtor app or website is available, stable, and ready to be tested with these test cases.  
* The debtor service provider should also have tested debtors and accounts for testing some of these test cases.   

## Test Cases {#test-cases}

### Test Case 1: Single Immediate Payment using the Universal Link {#test-case-1-single-immediate-payment-using-the-universal-link}

|                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|----------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **Test Title**             | Single Immediate Payment using Universal Link                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Description**            | The creditor service provider sends the payment request to Mastercard Account to Account Commerce. The debtor is redirected to the debtor service provider app using the universal link. The debtor service provider retrieves the payment request and sends a payment confirmation to Mastercard. Mastercard forwards it to the creditor service provider.                                                                                                                                                                                                                                                                                                                                                                                            |
| **Pre-Requisite**          | The debtor service provider must be onboarded to the Mastercard platform.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| **Test Steps**             | **Step 1:** Use Postman pack to execute the create payment request `(POST /payment-requests)`with businessType 2 and productid of PBARFP. Note the paymentRequestLifecycleId from the response. **Step 2:** The debtor service provider must execute the retrieve payment request `(POST /payment-request-retrievals)`with the value of paymentRequestLifecycleId received from Step 1. **Step 3:** The debtor service provider must execute the confirm payment advice`(POST /payment-requests/{payment_request_lifecycle_id}/payment-confirmation-advices)` using the paymentRequestLifecycleId from Step 1 and other fields from Step 2. **Step 4:** Mastercard platform will receive this message and forward it to the creditor service provider. |
| **Postman Setup Scenario** | CSPId and CreditorId should be populated in the environment variables.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **Expected Result**        | **Step 1:** The create payment request from Postman returns a paymentRequestLifeCycleId and a response code of 200, indicating success. **Step 2:** Mastercard responds with response code 200 from the retrieve payment request. **Step 3:** Mastercard responds with response code 200 from the confirm payment request.                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **Level of Necessity**     | Mandatory                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |

### Test Case 2: Single Immediate Payment using the Payment Reference Number {#test-case-2-single-immediate-payment-using-the-payment-reference-number}

|                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
|----------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **Test Title**             | Single Immediate Payment using the Payment Reference Number                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| **Description**            | The creditor service provider sends a payment request to Mastercard Account to Account Commerce. The creditor service provider displays the reference number, and the debtor enters it in the debtor service provider app. The debtor service provider retrieves the payment request and sends a payment confirmation to Mastercard. Mastercard forwards it to the creditor service provider.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| **Pre-Requisite**          | The debtor service provider must be onboarded to the Mastercard platform.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| **Test Steps**             | **Step 1:** Use the Postman pack to execute the create payment request`(POST /payment-requests)` with businessType 2 and productId of PBARFP. Note the paymentRequestReferenceNumber from the response. **Step 2:** The debtor service provider should allow the debtor to enter a 6-digit reference number in their Account to Account Payment Retrieval screen of the app. **Step 3:** The debtor service provider must execute the retrieve payment request `(POST /payment-request-retrievals)`with the value of paymentRequestReferenceNumber received from Step 1. **Step 4:** (Optional) The debtor service provider must push the credit transfer through the Real Time Payment network and receive the payment reference id. The debtor service provider to debit funds from the selected debtor's bank account and credit their holding/settlement account. **Step 5:** The debtor service provider must execute the confirm payment advice`(POST /payment-requests/{payment_request_lifecycle_id}/payment-confirmation-advices)`using paymentRequestReferenceNumber from Step 1, payment reference id from Step 4 and other fields from Step 3. |
| **Postman Setup Scenario** | CSPId and CreditorId should be populated in the environment variables.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| **Expected Result**        | **Step 1:** The create payment request from Postman returns a paymentRequestReferenceNumber and a response code of 200, indicating success. **Step 2:** Ensure that the debtor can enter the payment reference number in the debtor service provider app. **Step 3:** Mastercard responds with the response code 200 from the retrieve payment request. **Step 4:** Mastercard responds with the response code 200 from the confirm payment request.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| **Level of Necessity**     | Mandatory                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |

### Test Case 3: Pay with Linked Account {#test-case-3-pay-with-linked-account}

|                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|----------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **Test Title**             | Payment With Linked Account                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **Description**            | The creditor service provider sends the payment agreement to Mastercard. Mastercard forwards the request to the debtor service provider. The debtor service provider sends the payment confirmation message to Mastercard, and Mastercard forwards it to the creditor service provider.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **Pre-Requisite**          | The debtor service provider must be onboarded to Mastercard platform. The create agreement is successful and agreementId is captured.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| **Test Steps**             | **Step 1:** Use the Postman pack to execute the agreement payment request `(POST /payment-requests)` with agreementId and agreementType from the create agreement, businessType 2, and productId of PBARFP. Note the paymentRequestLifecycleId from the response. **Step 2:** Mastercard will send an outbound notification to the debtor service provider `(POST /payment-requests)`. **Step 3:** The debtor service provider will process the message and identify the debtor. **Step 4:** (Optional) The debtor service provider must push the credit transfer through the Real Time Payment network and receive the payment reference id. The debtor service provider to debit funds from the selected debtor's bank account and credit their holding/settlement account. **Step 5:** The debtor service provider executes the confirm payment advice `(POST /payment-requests/{payment_request_lifecycle_id}/payment-confirmation-advices)`using paymentRequestLifecycleId from Step 1. **Step 6:** Mastercard platform will receive this message and forward it to the creditor service provider. |
| **Test Criteria**          | Linked Payment should be using Agreement Type in the creditor service provider as per the below condition: 1. If the agreement is done with AMRT - Then Linked Payment can use these Agreement Type- AOF and MRT 2. If the agreement is done with ALL - Then Linked Payment can use these Agreement Type- AOF, MRT, and MIT 3. If the agreement is done with MIT - Then Linked Payment can use this Agreement Type- MIT 4. If the agreement is done with MRT - Then Linked Payment can use this Agreement Type- MRT 5. If the agreement is done with AOF - Then Linked Payment can use this Agreement Type- AOF                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Postman Setup Scenario** | The CSPId and the CreditorId should be populated in the environment variables. Copy the agreementId received from the create agreement and populate it in the environment variables.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| **Expected Result**        | **Step 1:** The agreement payment request from Postman returns a paymentRequestLifecycleId and a response code of 200, indicating success from Mastercard. **Step 2:** The debtor service provider must have received the agreement payment request and responded with response code of 200 to Mastercard. **Step 2:** Mastercard responded with response code 200 from the confirm payment request.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| **Level of Necessity**     | Mandatory                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |

### Test Case 4: Pay with Linked Account with Step up {#test-case-4-pay-with-linked-account-with-step-up}

|                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
|----------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **Test Title**             | Payment With Linked Account with Step up                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| **Description**            | The creditor service provider sends a payment agreement to Mastercard. Mastercard forwards the request to the debtor service provider. The debtor service provider decides to step up for additional authentication. The debtor authenticates, the debtor service provider sends payment confirmation, and Mastercard forwards it to the creditor service provider.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| **Pre-Requisite**          | The debtor service provider must be onboarded to the Mastercard platform. The create agreement must be successful and agreementId captured.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Test Steps**             | **Step 1:** Use the Postman pack to execute the agreement payment request`(POST /payment-requests)` with agreementId \& agreementType from the create agreement, businessType 2, and productId of PBARFP. Note the paymentRequestLifecycleId from the response. **Step 2:** Mastercard will send an outbound notification to the debtor service provider (POST /payment-requests). **Step 3:** The debtor service provider will process the message and identify the debtor. The debtor decides to step up based on some configured business rules/risk rules. **Step 4:** The debtor service provider will execute the Step up notification`(POST /payment-requests/{payment_request_lifecycle_id}/step-up-advices)`to Mastercard. **Step 5:** Mastercard will forward the step up to the creditor service provider. **Step 6:** The debtor will authenticate in the debtor service provider app successfully. **Step 7:** (Optional) The debtor service provider pushes the credit transfer through the Real Time Payment network and receive the payment reference id. The debtor service provider to debit funds from the selected debtor's bank account and credit their holding/settlement account. **Step 8:** The debtor service provider executes the confirm payment advice`(POST /payment-requests/{payment_request_lifecycle_id}/payment-confirmation-advices)`using paymentRequestLifecycleId from Step 1. **Step 9:** Mastercard platform will receive this message and forward it to the creditor service provider. |
| **Test Criteria**          | The linked payment should be using Agreement Type in the creditor service provider as per the below condition: 1. If the agreement is done with AMRT - Then Linked Payment can use these Agreement Type- AOF and MRT 2. If the agreement is done with ALL - Then Linked Payment can use these Agreement Type- AOF , MRT, and MIT 3. If the agreement is done with MIT - Then Linked Payment can use this Agreement Type- MIT 4. If the agreement is done with MRT - Then Linked Payment can use this Agreement Type- MRT 5. If the agreement is done with AOF - Then Linked Payment can use this Agreement Type- AOF                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| **Postman Setup Scenario** | CSPId and CreditorId should be populated in environment variables. Copy the agreementId received from the create agreement and populate it in environment variables.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| **Expected Result**        | **Step 1:** The agreement payment request from Postman returns a paymentRequestLifecycleId and a response code of 200 indicating success from Mastercard. **Step 2:** The debtor service provider must have sent a notification to the debtor for step up. **Step 3:** The debtor service provider must have sent Step up advice to Mastercard and received with response code of 200. **Step 4:** The debtor service provider must have performed the credit transfer successfully. **Step 5:** The debtor service provider must have sent the payment confirmation advice to Mastercard and received with response code of 200 200.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| **Level of Necessity**     | Mandatory                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |

### Test Case 5: Link and Pay {#test-case-5-link-and-pay}

|                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
|----------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **Test Title**             | Pay and Link Debtor Account                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| **Description**            | The creditor service provider sends the payment request to Mastercard. The debtor is redirected to the debtor service provider's app. The debtor service provider retrieves the payment request and presents it to the debtor. The debtor confirms payment and agreement to link the account. The debtor service provider confirms payment and agreement to Mastercard. Mastercard forwards the payment confirmation to the creditor service provider.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| **Pre-Requisite**          | The debtor service provider must be onboarded to Mastercard platform.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| **Test Steps**             | **Step 1:** Use the Postman pack to execute the create payment request `(POST /payment-requests)`with businessType 2 and productId of PBARFP. Note the paymentRequestLifecycleId from the response. **Step 2:** The debtor service provider executes the payment retrievals `(POST /payment-request-retrievals)`using the paymentRequestLifecycleId from Step 1. **Step 3:** The debtor service provider is to present the summary of the payment request to the debtor for confirmation within the debtor service provider app. Ensure that the account linking options are displayed, namely the account nickname field, and a transaction limit (where applicable). **Step 4:** (Optional) The debtor service provider must push the credit transfer through the Real Time Payment network and receive the payment reference id. The debtor service provider to debit funds from the selected debtor's bank account and credit their holding/settlement account. **Step 5:** The debtor service provider executes the confirm payment advice `(POST /payment-requests/{payment_request_lifecycle_id}/payment-confirmation-advices)`using paymentRequestLifecycleId from Step 1 and other fields from Step 2. **Step 6:** Mastercard platform will receive this message and forward it to the creditor service provider. |
| **Test Criteria**          | Agreement Type must be provided for this use case.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Postman Setup Scenario** | CSPId should be populated in the environment variables.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| **Expected Result**        | **Step 1:** The create payment request from Postman returns a paymentRequestLifecycleId and a response code of 200, indicating success. **Step 2:** Mastercard must respond with response code 200 for the payment retrievals. **Step 3:** The debtor confirms the payment and consents to link the account. **Step 4:** Mastercard must respond with response code 200 from the confirm payment request.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| **Level of Necessity**     | Mandatory                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |

### Test Case 6: Link and Pay using the Payment Reference Number {#test-case-6-link-and-pay-using-the-payment-reference-number}

|                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
|----------------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **Test Title**             | Pay and Link Debtor Account using the Payment Reference Number                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| **Description**            | The creditor service provider sends the payment request to Mastercard. The debtor obtains the reference number from the creditor app. The debtor service provider retrieves the payment request and presents it to the debtor. The debtor confirms the payment and agreement to link the account. The debtor service provider confirms the payment and forwards the agreement to Mastercard. Mastercard forwards the payment confirmation to the creditor service provider.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| **Pre-Requisite**          | The debtor service provider must be onboarded to the Mastercard platform.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Test Steps**             | **Step 1:** Use the Postman pack to execute the create payment request `(POST /payment-requests)`with businessType 2 and productId of PBARFP. Note the paymentRequestReferenceNumber from the response. **Step 2:** The debtor service provider should allow the debtor to enter a 6-digit paymentRequestReferenceNumber in their Account to Account payment retrieval screen of the app. **Step 3:** The debtor service provider to execute the payment retrievals `(POST /payment-request-retrievals)` using the paymentRequestReferenceNumber from Step 1. **Step 4:** (Optional) The debtor service provider must push the credit transfer through the Real Time Payment network and receive the payment reference id. The debtor service provider to debit funds from the selected debtor's bank account and credit their holding/settlement account. **Step 5:** The debtor service provider executes the confirm payment advice `(POST /payment-requests/{payment_request_lifecycle_id}/payment-confirmation-advices)`using paymentRequestLifecycleId from Step 1 and other fields from Step 2. **Step 6:** Mastercard platform will receive this message and forward it to the creditor service provider. |
| **Test Criteria**          | Agreement Type must be provided for this use case.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| **Postman Setup Scenario** | CSPId should be populated in the environment variables.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| **Expected Result**        | **Step 1:** The create payment request from Postman returns a paymentRequestLifecycleId and a response code of 200, indicating success. **Step 2:** The debtor enters the reference number in the debtor service provider app. **Step 3:** Mastercard responds with response code 200 for the payment retrievals. **Step 4:** Mastercard responds with response code 200 from the confirm payment request.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Level of Necessity**     | Mandatory                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |

### Test Case 7: Payment Declined {#test-case-7-payment-declined}

|                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
|----------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **Test Title**             | Declined Single Immediate Payment                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| **Description**            | The creditor service provider sends a payment request to Mastercard Account to Account Commerce. The debtor is redirected to the debtor service provider app using the universal link. The debtor service provider retrieves the payment request and sends the payment decline to Mastercard. Mastercard forwards it to the creditor service provider.                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Pre-Requisite**          | The debtor service provider must be onboarded to the Mastercard platform                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| **Test Steps**             | **Step 1:** Use the Postman pack to execute the create payment request `(POST /payment-requests)` with businessType 2 and productid of PBARFP. Note the paymentRequestLifecycleId from the response. **Step 2:** The debtor service provider to execute the retrieve payment request `(POST /payment-request-retrievals)`with the value of paymentRequestLifecycleId received from Step 1. **Step 3:** The debtor service provider to execute the confirm payment advice `(POST /payment-requests/{payment_request_lifecycle_id}/payment-confirmation-advices)`using the paymentRequestLifecycleId from Step 1, transaction status as RJCT, and other fields from Step 2. **Step 4:** Mastercard platform will receive this message in Step 3 and forward it to the creditor service provider. |
| **Postman Setup Scenario** | CSPId should be populated in the environment variables.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Expected Result**        | **Step 1:** The create payment request from Postman returns a paymentRequestLifeCycleId and a response code of 200, indicating success **Step 2:** Mastercard responds with response code 200 from the retrieve payment request. **Step 3:** Mastercard responds with response code 200 from the confirm payment request with paymentRequestStatus as RJCT.                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| **Level of Necessity**     | Mandatory                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |

